Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class PropertiesPicoContainer

    java.lang.Object
      org.picocontainer.containers.AbstractDelegatingPicoContainer
          org.picocontainer.containers.PropertiesPicoContainer

All Implemented Interfaces:
  Serializable, PicoContainer

Direct Known Subclasses:
  SystemPropertiesPicoContainer

    public class PropertiesPicoContainer

extends AbstractDelegatingPicoContainer

immutable pico container constructed from properties. intendet to be used with config parameter

Author:
  k.pribluda
See Also:
  Serialized Form

Constructor Summary
`PropertiesPicoContainer(Properties properties)` construct without a parent
`PropertiesPicoContainer(Properties properties, PicoContainer parent)` create with parent container and populate from properties

Method Summary
`void` | `setName(String s)`

Methods inherited from class org.picocontainer.containers.AbstractDelegatingPicoContainer
`accept, equals, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponents, getComponents, getDelegate, getParent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertiesPicoContainer

    public PropertiesPicoContainer(Properties properties,
                                   PicoContainer parent)

  create with parent container and populate from properties

  Parameters:
    `properties` -
    `parent` -

### PropertiesPicoContainer

    public PropertiesPicoContainer(Properties properties)

  construct without a parent

  Parameters:
    `properties` -

Method Detail

### setName

    public void setName(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.